c       
c------ EFFMON ------      monitor efficiencies of MWPC and DC
c                       exp_10jun  17-May-2010 TK
c
      subroutine effmon()
      implicit none
      include 'effmon.inc'         !ip_max=100
      include 'dc.inc'
      include 'effmon_name.inc'    !plane name for print
c scratched variables
      integer*4 id, mul, id_plane
      integer*4 mulw, mulc
      integer*4 i,j
      integer*4 ifirst/1/
      save ifirst
c      
      if (ionof_effmon .ne. 1) return ! Efficiency is not monitored
      if (ifirst .eq. 1) then
         nevent_effmon = 0
         ifirst = 0
      endif
c
c #counts "effmon" is called
      nevent_effmon=nevent_effmon+1
      if( nevent_effmon .eq. 1 ) then ! called for the first time
         do i = 1,mdet_effmon
            do j = 1,max_monitor
             ieffmon(j,i)=0
            enddo
         enddo
      endif
      do 200 id= 1,npl_dc_max
          id_plane=id
          mul=mul_dc(id)
          if(mul.ge.5) mul=5

c          if (mul .ge. 1) 
c     &         write(0,*) 'Debug effmon.f mul_dc: ', id, id_plane, mul
          ieffmon(mul+1,id_plane)=ieffmon(mul+1,id_plane)+1
c ieffmon(1-6) -> MUL 0-5          

          mulw=mulw_dc(id)
c          if (mulw .ge. 1) 
c     &          write(0,*) 'Debug effmon.f mulw_dc: ', id, id_plane, mulw
          if(mulw.ge.4) mulw=4
          ieffmon(mulw+7,id_plane)=ieffmon(mulw+7,id_plane)+1
c ieffmon(7-11) -> MULW 0-4

          mulc=mulc_dc(id)
c          if (mulc .ge. 1) 
c     &          write(0,*) 'Debug effmon.f mulc_dc: ', id, id_plane, mulc
          if(mulc.ge.4) mulc=4
          ieffmon(mulc+12,id_plane)=ieffmon(mulc+12,id_plane)+1
c ieffmon(12-16) -> MULC 0-4

c debug
c          if (mul .ge. 1) 
c     &          write(0,*) 'Debug effmon.f mul_dc: ', id, id_plane, 
c     &         mul,mulw, mulc, (ieffmon(j,id_plane),j=1,16)
200      continue
c
      return
      end
