      subroutine dump_rawdata(nraw,raw)
      implicit none
c
c rawdata : raw(nraw)
c
c common
      include 'dump.inc'
c
      integer*4 nraw
      integer*2 raw(nraw)
c local
      integer*4 ir,irp
      integer*4 imatch
      integer*4 iloop, idump
      save iloop

c read calibrations
      if(iloop.eq.0) then
         ndump = 0
         call read_dump
         iloop=1
      endif
      
c region decomposer
      ir = 4
      idump = 0 
      if (ndump .eq. 0) then
         if( raw(2) .ne. 1 .and. raw(2) .ne. -1) then
            write(0,'(12Z6)') (raw(irp),irp = 1, nraw)
         endif
      else
         do while(.true.)
c            write(0,'(12Z6)') (raw(irp),irp=1,8)
            call match_id(raw(ir+1),imatch)
            idump=1
            if( imatch .eq. 1) then
               if(raw(ir) .ge. (z'400') ) then
                  write(0,*) 'Region length greater then 1024'
                  goto 09000
               endif
               write(0,'(8Z6)') (raw(irp),irp=ir,ir+raw(ir)-1)
            write(0,*) '--'
            endif
            ir = ir+raw(ir)
            if (ir .ge. nraw .or. raw(ir) .eq. 0) goto 09000
            if (raw(ir) .lt. 0) goto 09000
         enddo
      endif
09000 continue
      if (idump .eq. 1) then
         write(0,*) '--'
      endif
      return
      end

      subroutine match_id(id,itr)
      implicit none
      integer*2 id
      integer*4 itr

      include 'dump.inc'
c scratched
      integer*4 i
      itr = 0
      do i = 1, ndump
         if (id .eq. dump_id(i)) then
            itr = 1
            goto 09000
         endif
      enddo
      return
09000 itr = 1
      return
      end

         
      subroutine read_dump()
      implicit none
      include 'dump.inc'
c local
      integer*4 lunin/38/
c scratched
      integer*4 ier

      open(lunin,file='./prm/dump.prm',status='old',err=00900)
c number of dump data region
      call read_int(lunin, ndump, 1,ier)
c region id to be dumped
      if (ndump .ge. 1) then
         call read_int(lunin, dump_id, ndump, ier)
      endif
      close(lunin)

      return
00900 continue
      ndump = 0
      end
