c
!      program test
!      call read_beam
!      stop
!      end
c
c------ read_beam ------
c
      subroutine read_beam()
      include 'beam.inc'
      integer*4 itmp(2)
      integer*4 lunin/36/
      save lunin
      integer*4 ier(20)
c
      open(unit=lunin,file='prm/beam.prm',status='old',err=900)
c      
c TDC limit
      call read_int(lunin,itmp,2,ier(1))
      itdc_low=itmp(1)      
      itdc_high=itmp(2)
c time calibration
      call read_int(lunin,iflag_timcal,1,ier(2))
      call read_flt(lunin,timcal,2*nch_b,ier(3))
c pedestal
      call read_int(lunin,iflag_ped,1,ier(4))
      call read_flt(lunin,ped,2*nch_b,ier(5))
c gain
      call read_int(lunin,iflag_gain,1,ier(6))
      call read_flt(lunin,adc_norm,nch_b,ier(7))
      call read_flt(lunin,adc_ref,nch_b,ier(8))
c dT offset
      call read_int(lunin,iflag_dt_off,1,ier(9))
      call read_flt(lunin,dt_off,nch_b,ier(10))
c <T> offset
      call read_int(lunin,iflag_t_off,1,ier(11))
      call read_flt(lunin,t_off,nch_b,ier(12))
!      write(*,*) t_off
c
      close(lunin)
      write(*,600) itdc_low,itdc_high,iflag_timcal,iflag_ped,iflag_gain,
     1     iflag_dt_off,iflag_t_off
 600  format(' Read_beam: TDC:[',i4,',',i4,'] tcal(',i1,') ped(',i1,')',
     1     ' gain(',i1,') dT_off(',i1,') T_off(',i1,')')
      do 100 i=1,12
         if(ier(i).ne.0) write(*,*) 'read_beam: error i=',i
 100  continue
      return
c
 900  continue
      write(*,*) 'read_beam: file open failure'
      iflag_ped=0
      iflag_gain=0
      iflag_timcal=0
      iflag_dt_off=0
      iflag_t_off=0
      itdc_low=10
      itdc_high=3900
      return
      end
