c
c------ read_dclim ------ read TDC limits(low,high) for rejecting backgrounds
c                         11-May-2009 TK, 26-May-2009
c
      subroutine read_dclim
c
      include 'dc.inc'
      parameter (lunin=90)
      integer*4 itmp(3), ier
c
c read setting
      open(unit=lunin,file='prm/dclim.prm',status='old',err=19)
      go to 18
 19   write(*,*) 
     1   'read_dclim: error opening prm/dclim.prm. using defaults'
      return
 18   continue
      write(*,*) 
     1 'Read_dclim: prm/dclim.prm opened'
c
c--- 1 --- tdc limit check on(1)/off(0)
      call read_int(lunin,iflag_lim,1,ier)
      if(ier.ne.0) write(*,*) ' read_dclim(1): read error'
      write(*,700) iflag_lim
 700  format('  TDC_limit_check_OnOff(',i1,')')
c
c--- 2 --- plane_id -> limit# (1:npl_dc_max)
      call read_int(lunin,ip_to_lim,npl_dc_max,ier)
      if(ier.ne.0) write(*,*) 'read_dclim(2): read error'
      if(iflag_lim.ne.0) write(*,702) ip_to_lim
 702  format('  ip -> limit#: |',4(10i2,' |'))
c
c--- 3 --- lim#, low, high
      ndef_lim=0
      do 20 i=1,20
         call read_int(lunin,itmp,3,ier)
         if(ier.ne.0) go to 30
         if(itmp(1).ge.1 .and. itmp(1).le.npl_dc_max) then
            ndef_lim=ndef_lim+1
            lim_tdc(1,itmp(1))= itmp(2) !tdc_low
            lim_tdc(2,itmp(1))= itmp(3) !tdc_high
         endif
 20   continue
      write(*,*) ' read_dclim(3): ?'
 30   continue
      if(iflag_lim.ne.0) write(*,704) ndef_lim, 
     1      (lim_tdc(1,i),lim_tdc(2,i), i=1,ndef_lim)
 704  format('  #def=',i2,' : (',7(i4,',',i4,') ('))
c
      close(lunin)
      return
      end
