c
c------ DC.inc ------ exp_10Jun: (p,pN) BDC1/2, PDCL/R, FDC1/2/3
c                     17-May-2010 T.Kobayashi
c
c setting:  described in dcmap.inc
c
c Wire_ID: = 100*ID_plane + IW
c	IW: beam_left --> beam_right for FDC's
c
      integer*4 npl_dc_max, mul_dc_max, nch_dc_max, nch_adr_max
      integer*4 kdc_max, itdc_maxch
c
      parameter (npl_dc_max= 72)      !max # of planes
				      !BDC(8+8) PDC(8+8) FDC1(4) FDC2(4) FDC3(5+4) mwpc(2)
      parameter (mul_dc_max= 128)     !max # of wires / plane
				      !BDC(16) PDC(*) FDC1(12) FDC2(28) FDC3(15/10) mwpc(128)
      parameter (nch_dc_max= npl_dc_max*mul_dc_max)	! npl_dc_max* mul_dc_max
      parameter (nch_adr_max= 896)    !64ch/mod * 14mod= 896
      parameter (kdc_max= 20)         !max kind of stc (tmp)
      parameter (itdc_maxch= 4096)    !max tdc channel for stc, amt
c
      integer*4 ihit_dc(mul_dc_max, npl_dc_max)   !#hits/wire including multihit
      integer*4 mul_dc(npl_dc_max)                !
      integer*4 mulw_dc(npl_dc_max)
      integer*4 mulc_dc(npl_dc_max)
      integer*4 mul_dc2(npl_dc_max), mulw_dc2(npl_dc_max)  !private use
      integer*4 itdc_to_wire(nch_adr_max)          !tdc seq# -> id(ip,iw)
      integer*4 ip_to_dc(npl_dc_max)               !id_plane -> stc#
      real*4    stcurve(itdc_maxch,kdc_max)        !stc data
      real*4    data_dc(2, mul_dc_max, npl_dc_max)
      integer*4 iflag_stc, ich_stc
      integer*4 npl_dc
c   TDC limit check
      integer*4 iflag_lim,ndef_lim
      integer*4 ip_to_lim(npl_dc_max),lim_tdc(2,npl_dc_max)
c
      common/dc_com/ 
     1  npl_dc,
     1	ihit_dc,	!hit flag
     1	data_dc,	!TDC & distance
     1	mul_dc,         !#wires/plane (multi hit sumup)
     1	mulw_dc,        !#wires/plane (multi hit not sumup)
     1	mulc_dc,        !#cluster/plane
     1  mul_dc2, mulw_dc2,
     1	itdc_to_wire    !tdc sequential# -> id(100*ip+iw)
c
      common/dc_com2/
     1	ip_to_dc,	!plane# to STC#
     1	stcurve,
     1	iflag_stc,      !=0 if not defined 
     1	ich_stc         !#tdc channels for stc
c
      common/dc_com3/
     1	iflag_lim,      !limit check on/off
     1	ndef_lim,       !max def# for limits
     1	ip_to_lim,      !ip# -> limit#
     1	lim_tdc         !tdc_low, tdc_high, for lim#
c
