c
c------ enc_dcmul ------ various DC multiplicities
c
      subroutine enc_dcmul(val,nx,ny,naok)
c
      include 'dc.inc'
      integer*4 nx,ny,naok
      real*4 val(nx,ny)
      integer*4 ip
      integer*4 iloop
      data iloop/ 0/
      save iloop
c
c read DC TDC limit check
      if(iloop.eq.0) then
         call read_dclim
         iloop=1
      endif
c
c check DC TDC limit
      if(iflag_lim.eq.0) go to 200   !skip tdc check if "off"
      do 100 jok=1,naok
         id=val(1,jok)     !id
         ip=id/100
         if(ip.le.0 .or. ip.gt.npl_dc_max) go to 100  !skip
         jlim=ip_to_lim(ip)   !limit#
         if(jlim.le.0 .or. jlim.gt.npl_dc_max) go to 100  !skip if ?
         itdc=val(2,jok)   !TDC
         if(itdc.lt.lim_tdc(1,jlim) .or. 
     1      itdc.gt.lim_tdc(2,jlim)) then   !TDC out of range
            val(1,jok)=0   !neglect this TDC
         endif
 100  continue
 200  continue
c
c fill multiplicity for efficiency
      do i = 1, npl_dc
         mul_dc(i) = 0
         mulw_dc(i) = 0
         mulc_dc(i) = 0
         do j = 1,naok
            if( val(1,j) .eq. 9991 ) goto 02900 ! do nothing
            ip = val(1,j) / 100
            if( ip .eq. i) then ! this data is assigned to dc:i
               mul_dc(i) = mul_dc(i) + 1
cc multi hit degeneracy
               iwmul=0
               if( j .gt. 1) then
                  do k=j-1,1,-1
                     if (val(1,k) .eq. val(1,j)) then ! same wire fired
                        iwmul=1
                        goto 03100
                     endif
                  enddo
03100             continue
               endif
               if(iwmul .eq. 0) then ! not multi hit
                  mulw_dc(i) = mulw_dc(i) + 1
               endif
cc clustering degeneracy
               icmul=0
               if(j .gt. 1) then
                  do k=j-1,1,-1
                     if (val(1,k) .eq. val(1,j)-1 .or.
     &                    val(1,k) .eq. val(1,j)+1 ) then ! neighbor wire fired
                        icmul=1
                        goto 03200
                     endif
                  enddo
03200             continue
               endif
               if(icmul .eq. 0) then ! cluster top or cluster size=1
                  mulc_dc(i) = mulc_dc(i) + 1
               endif
            endif
02900       continue
         enddo
      enddo
c
      return
      end
