      subroutine enc_scaler(rid,raw,nwrd)
      integer*4 rid
      integer*4 nwrd
      integer*2 raw(nwrd)
c common
      include 'scaler.inc'

c scratched
      integer*4 i
      integer*4 ifirst/1/
      integer*4 datl,dath
c debug
      if(ifirst .eq. 1)then
         ifirst = 0
         nscaler=1
         nscachan=16*nscaler
c         nscachan=12*nscaler
         call read_scaler()
         do i = 1,max_scaler*max_scachan
            sca_dat1(i)=0
            sca_dat1_total(i)=0
            sca_dat2(i)=0
            sca_dat2_total(i)=0
         enddo
      endif

      if(nwrd .ne. 0) then

cDEBUG
c         if( rid .eq. (z'108')) then
c            write(0,*) 'NEVENT : NBUFFER : ', nevent, nbuffer
c            write(0,'(8Z8)') (raw(i),i=1,nwrd)
c            write(0,'(8Z8)') '--'
c         endif
c
c C-SE-113 (8ch scaler)
c 
c   ch     A(Lower)   A(Upper)(z'10000')
c   1      0          8
c   2      1          9
c   3      2          A
c   4      3          B
c   5      4          C
c   6      5          D
c   7      6          E
c   8      7          F
c
c ordinary scaler
c   16bit(word) *2 for 1-12 ch
c
c         write(0,'(z4)') rid
c
c Technoland C-TS-112
c
c 24bit read : (DataLow,DataHigh)
c


         do i = 1,16*nscaler
c            datl=iand(raw(2*i),(z'ffff'))
            datl=iand(raw(2*i-1),(z'ffff'))
            if(datl .lt. 0) datl=datl+(z'8000')
c            dath=iand(raw(2*i-1),(z'ffff'))
            dath=iand(raw(2*i),(z'00ff'))
            if(dath .lt. 0) dath=dath+(z'8000')
            
            if(rid .eq. (z'101')) then
               sca_dat1(i)= datl+dath*(z'10000')
               sca_dat1_total(i) = sca_dat1_total(i) + sca_dat1(i)
            elseif(rid .eq. (z'108')) then
               sca_dat2(i)= datl+dath*(z'10000')
               sca_dat2_total(i) = sca_dat2_total(i) + sca_dat2(i)
c               write(0,'(I6,$)') sca_dat2(i)
c               write(0,*) i,datl, dath,sca_dat2(i)
            endif

         enddo
c         write(0,*)
         if( iflag_sca_mon .eq. 1) then
            write(0,'(A,A,A)') ' Name               :',
     1           ' This Buffer : Total (0x101) :',
     1           ' This Buffer : Total (0x108)'
            nsca = min(nwrd/2, nscachan)
            do i = 1,nsca
               write(0,'(A,A,4I12)') name_scaler(i),':',
     1              sca_dat1(i),sca_dat1_total(i),
     1              sca_dat2(i),sca_dat2_total(i)
            enddo
         endif
      endif
      return
      end

      subroutine write_scaler_total()
      implicit none
      include 'scaler.inc'
      integer*4 lunout/89/
      integer*4 len_oflnam
      integer*4 nsca, i

      write(0,'(A,A)') ' Name               :',
     1     ' Total (101) : Total (108) : Total (101+108)'
      nsca = nscachan
      do i = 1,nsca
         write(0,'(A,A,3I12)') name_scaler(i),':',
     1        sca_dat1_total(i), sca_dat2_total(i), 
     2        sca_dat1_total(i)+sca_dat2_total(i)
      enddo

      len_oflnam=index(sca_oflnam,' ')-1
      if(iflag_sca_out .eq. 1) then
         open(lunout,file=sca_oflnam(:len_oflnam),status='unknown')
c         write(lunout,'(A,A)') '(( Name               :',
c     1        ' Total '
         do i = 1,nsca
            write(lunout,'(A,A)') '(( ',name_scaler(i)
         enddo
         do i = 1,nsca
            write(lunout,*) sca_dat1_total(i),
     &           sca_dat2_total(i),
     &           sca_dat1_total(i)+sca_dat2_total(i)
         enddo
         close(lunout)
      endif

      return
      end

      subroutine clear_scaler()
c common
      include 'scaler.inc'
      integer*4 i
      do i = 1,nscaler*16
         sca_dat1_total(i) = 0
         sca_dat2_total(i) = 0
      enddo
      return
      end

      subroutine read_scaler()
      implicit none
c common
      include './scaler.inc'
      character*80 dumsca
      integer*4    lunin/37/
c scratched
      integer*4 i, ier

      open(lunin, file='./prm/scaler.prm',status='old',err=00900)
c number of scaler channel title
      call read_int(lunin, nscachan, 1,ier)
c      write(0,*) nscachan
      if ( nscachan .ge. 1 ) then

         do i = 1,nscachan
            read(lunin,'(A)',err=01900) dumsca
            write(name_scaler(i),'(A20)') dumsca(1:20)
01900       continue
         enddo
      endif
c      write(0,*) (name_scaler(i),i=1,32)
      call read_int(lunin, iflag_sca_mon,1, ier)
      call read_int(lunin, iflag_sca_out,1, ier)
      if(iflag_sca_out .eq. 1) then
         read(lunin,*,err=00900,end=00900) sca_oflnam
      endif
      close(lunin)
      return
00900 write(0,*) 'Open failure.'
      end
