c
c------ neut.inc ------	common area for NLN for (p,pn) exp
c                       11-may-2010, T.Kobayashi
c
c      N1    N2     N3     N4     Veto   Joker
c id=  1-16, 21-36, 41-56, 61-76, 71-74, 81-88
c
c VSN         
c   TDC   1     2     3     4     5     6      7     8      9
c         1L    1R    2L    2R    3L    3R     4L    4R     veto/joker
c
c   ADC   11    12    13    14    15    16     17    18     19
c         1L    1R    2L    2R    3L    3R     4L    4R     veto/joker
c
	parameter (nch_fera=100)
	parameter (nch_ia=16)
	parameter (nch_in=23)
c
	common/com_neut1/ 
     1	map_fera(2,nch_ia,nch_in), 	!(id:iorder,ia,in)
     1	itdc_low, itdc_high, 
     1	ihit_min(nch_fera),		!for suppressing overflow
     1	ihit_fera(nch_fera), 		!hit flag, t1/t2/a1/a2
     1	data_fera(4,nch_fera),
     1	iflag_ped_fera,			!pedestal (>0 to be added)
     1	ped_fera(2,nch_fera),
     1	iflag_gain_fera,		!gain for TOF and NEUT
     1	adc_norm(nch_fera),		!value to be normalized
     1	gain_fera(nch_fera),		!peak channel
     1	iflag_timcal,			!time calibration
     1	timcal_fera(2,nch_fera),
     1	iflag_dt_off, 
     1	dt_off_fera(nch_fera),		!time difference
     1	iflag_t_off, 
     1	t_off_fera(nch_fera)		!TOF
