c
c------ PRTEFF_USER ------	print efficiencies, new commons
c                               26-May-2010  T.Kobayashi
c
      SUBROUTINE PRTEFF_USER(nevent)
c
      implicit none
      integer*4 nevent
      include 'effmon.inc'
      include 'prteff.inc'        !id_group, name_group
      include 'prteff_data.inc'
c scratched variables
      integer*4 igroup, ip, i, id_plane, itot
      real*4    eff_tot, eff_m1, eff_m2, eff_m3
      real*4    eff_m4, eff_m5, eff_m6
      real*4    eff_mw0, eff_mw1, eff_mw2, eff_mw3, eff_mw4
      real*4    eff_mc0, eff_mc1, eff_mc2, eff_mc3, eff_mc4
c
c At first print out efficiency
      write(0,'(A,A,A,A$)') 
     &     'Name    : Sum(M) M1     M2     M3     M4     M5+    ',
     &     'MW1    MW2    MW3    MW4+   ',
     &     'MC1    MC2    MC3    MC4+   :',
     1           'Tot/Ana :'
      write(0,*) nevent, nevent_effmon
      do igroup=1,ngroup
         do ip=1,ip_max
            id_plane=id_group(ip,igroup)            !sequential plane id
c         write(0,*) igroup, ip, name_effmon((igroup-1)*ip_max+ip),
c     &   id_plane
            if(id_plane.eq.0) go to 110 !skip if not defined
            itot=0              !
            do i=1,6 !? itot : M0+M1+M2+M3+M4+M5~ : do not include MW1...
               itot=itot+ieffmon(i,id_plane)
            enddo
            if(itot.eq.0) go to 120
            eff_tot=float(itot-ieffmon(1,id_plane))/float(itot)*100.0
            eff_m1=float(ieffmon(2,id_plane))/float(itot)*100.0
            eff_m2=float(ieffmon(3,id_plane))/float(itot)*100.0
            eff_m3=float(ieffmon(4,id_plane))/float(itot)*100.0
            eff_m4=float(ieffmon(5,id_plane))/float(itot)*100.0
            eff_m5=float(ieffmon(6,id_plane))/float(itot)*100.0
c ieffmon(7,x) MW0
c ieffmon(8,x) MW1
c see effmon.f for consistency.
            eff_mw0=float(ieffmon(7,id_plane))/float(itot)*100.0
            eff_mw1=float(ieffmon(8,id_plane))/float(itot)*100.0
            eff_mw2=float(ieffmon(9,id_plane))/float(itot)*100.0
            eff_mw3=float(ieffmon(10,id_plane))/float(itot)*100.0
            eff_mw4=float(ieffmon(11,id_plane))/float(itot)*100.0

            eff_mc0=float(ieffmon(12,id_plane))/float(itot)*100.0
            eff_mc1=float(ieffmon(13,id_plane))/float(itot)*100.0
            eff_mc2=float(ieffmon(14,id_plane))/float(itot)*100.0
            eff_mc3=float(ieffmon(15,id_plane))/float(itot)*100.0
            eff_mc4=float(ieffmon(16,id_plane))/float(itot)*100.0

            if(eff_tot.le.0.1) go to 120
c            write(0,*) (ieffmon(j,id_plane),j=1,6) 
            write(0,'(A8,A,14F7.2)') 
     1           name_effmon((igroup-1)*ip_max+ip),':',
     1           eff_tot, eff_m1, eff_m2, eff_m3, eff_m4, eff_m5,
     1           eff_mw1, eff_mw2, eff_mw3, eff_mw4, 
     1           eff_mc1, eff_mc2, eff_mc3, eff_mc4

c            write(0,*) id_plane,
c     1       itot, ieffmon(1,id_plane), ieffmon(2,id_plane), 
c     1       ieffmon(3,id_plane), ieffmon(4,id_plane)
 120        continue
         enddo
 110     continue
      enddo
c
      return
      end
